﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.3082
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Indexer.ShareDiscoveryReference {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ShareDiscoveryReference.IShareDiscoveryService")]
    public interface IShareDiscoveryService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IShareDiscoveryService/GetShareToIndex", ReplyAction="http://tempuri.org/IShareDiscoveryService/GetShareToIndexResponse")]
        System.IO.Stream GetShareToIndex();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IShareDiscoveryService/SaveIndex", ReplyAction="http://tempuri.org/IShareDiscoveryService/SaveIndexResponse")]
        void SaveIndex(System.IO.Stream shareStream);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public interface IShareDiscoveryServiceChannel : Indexer.ShareDiscoveryReference.IShareDiscoveryService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public partial class ShareDiscoveryServiceClient : System.ServiceModel.ClientBase<Indexer.ShareDiscoveryReference.IShareDiscoveryService>, Indexer.ShareDiscoveryReference.IShareDiscoveryService {
        
        public ShareDiscoveryServiceClient() {
        }
        
        public ShareDiscoveryServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ShareDiscoveryServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ShareDiscoveryServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ShareDiscoveryServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public System.IO.Stream GetShareToIndex() {
            return base.Channel.GetShareToIndex();
        }
        
        public void SaveIndex(System.IO.Stream shareStream) {
            base.Channel.SaveIndex(shareStream);
        }
    }
}
